function [strb,stra,strz,strp] = makestr(b,a,z,p)
% given the b a z and p by zptool, make strings for the output display

global zpformat;

	strb = sprintf('b\n');
	for n = 1:length(b) strb = [strb sprintf('%6.4f\n',b(n))];	end

	stra = sprintf('a\n');
	for n = 1:length(a) stra = [stra sprintf('%6.4f\n',a(n))];	end

	if zpformat
	  strz = sprintf('zeros\nreal     imag\n');
	  strp = sprintf('poles\nreal     imag\n');
	  for n = 1:length(z) strz = [strz sprintf('%7.3f  %7.3f\n',real(z(n)),imag(z(n)))];end
	  for n = 1:length(p) strp = [strp sprintf('%7.3f  %7.3f\n',real(p(n)),imag(p(n)))];end
	else
	  strz = sprintf('zeros\nmag     angle(/pi)\n');
	  strp = sprintf('poles\nmag     angle(/pi)\n');
	  for n = 1:length(z) strz = [strz sprintf('%7.3f  %7.3f\n',abs(z(n)),angle(z(n))/pi)];end
	  for n = 1:length(p) strp = [strp sprintf('%7.3f  %7.3f\n',abs(p(n)),angle(p(n))/pi)];end
	end
